Subject: Re: ncurses/terminfo problems
From: Thomas Dickey <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 19 Nov 2000 17:31:35 -0500

On Sun, Nov 19, 2000 at 03:52:33PM -0500, Charles S. Wilson wrote:
> > (I thought all of that overly-precise specification was discarded
> > long ago since it's too cumbersome for practical use -- except of course on
> > win32...)
> 
> yep. but we're on win32.

;-)

> > why isn't 'extern' part of the macro, btw?
> 
> because I also had to edit the various scripts, like
> ncurses/tinfo/MKnames.awk which defines macros based on other macros:
> 
>   #define DCL(it) NCURSES_EXPORT_VAR(IT) it[]

ok (I recall running into that one).
 
> Yes, I had to munge up lots of the scripts to get things right.  *That*
> is only part I'm worried about whether it still works on Linux &etc.  (I
> *think* it should be okay -- since, in this context,
> Linux=Cygwin_static_build)
> 
> Scripts affected:

well, (of course) I'm interested.  It's a shame the solution has to be so
cumbersome.  I've been contemplating adapting the headers in a similar
way (not so regular ;-) for symbol versioning with glibc (but won't get into
that til next month, since there's too many things that I have to do ahead
of that).

-- 
Thomas E. Dickey <[email-masked]>
http://dickey.his.com
ftp://dickey.his.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]